aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d/ls.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-07-28 16:00:57 +1200
committerTom Ryder <tom@sanctum.geek.nz>2017-07-28 16:00:57 +1200
commitc206e46c9afbc0baeeb5828e4aff9888558b104d (patch)
treecf8e857ab557a591a2431659dc391dfb11b587c4 /sh/shrc.d/ls.sh
parentMerge branch 'master' into port/bsd/freebsd (diff)
parentAdjust linebreak behaviour around downloads check (diff)
downloaddotfiles-c206e46c9afbc0baeeb5828e4aff9888558b104d.tar.gz
dotfiles-c206e46c9afbc0baeeb5828e4aff9888558b104d.zip
Merge branch 'master' into port/bsd/freebsd
Diffstat (limited to 'sh/shrc.d/ls.sh')
-rw-r--r--sh/shrc.d/ls.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/sh/shrc.d/ls.sh b/sh/shrc.d/ls.sh
index 40a0a5ce..7e843cc7 100644
--- a/sh/shrc.d/ls.sh
+++ b/sh/shrc.d/ls.sh
@@ -25,7 +25,7 @@ ls() {
# Add --color if the terminal has at least 8 colors
[ -e "$HOME"/.cache/sh/opt/ls/color ] &&
- [ "$({ tput colors || tput Co ; } 2>/dev/null)" -ge 8 ] &&
+ [ "$({ tput colors||tput Co||echo 0; } 2>/dev/null)" -ge 8 ] &&
set -- --color=auto "$@"
# Add --time-style='+%Y-%m-%d %H:%M:%S' to show the date in my preferred